org.freedesktop.cairo

## Class FatalError

- Object
- - Throwable
  - - Error
    - - org.freedesktop.bindings.FatalError
      - - org.freedesktop.cairo.FatalError

- All Implemented Interfaces:
    Serializable

      public class FatalError
      extends org.freedesktop.bindings.FatalError

  Cairo is in an illegal state.

  In the java-gnome bindings of Cairo, we check the status of the library after every call. This is the exception that will be thrown if an error has occured.

  Since:
    4.0.7
  Author:
    Andrew Cowie
  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`